## AgsPluginController

AgsPluginController — provide abstract controller

## Stability Level

Stable, unless otherwise indicated

## Functions

gpointer | ags_plugin_controller_do_request ()

## Object Hierarchy

        GInterface
        ╰── AgsPluginController

## Includes

    #include <ags/server/controller/ags_plugin_controller.h>

## Description

The AgsPluginController provides you an abstraction of controller implementation.

## Functions

### ags_plugin_controller_do_request ()

    gpointer
    ags_plugin_controller_do_request (AgsPluginController *plugin_controller,
                                      SoupServerMessage *msg,
                                      GHashTable *query,
                                      GObject *security_context,
                                      gchar *path,
                                      gchar *login,
                                      gchar *security_token);

Do request.

#### Parameters

plugin_controller | the AgsPluginController |
msg | the SoupServerMessage |
query | the GHashTable |
security_context | the AgsSecurityContext |
path | the context path to access |
login | the login |
security_token | the security token |

#### Returns

the GList containing AgsResponse

Since: 3.0.0